Home
last modified time | relevance | path

Searched +full:- +full:eq (Results 1 – 24 of 24) sorted by relevance

/Zephyr-latest/scripts/
Dcheckstack.pl8 # s390 port and big speedup by Arnd Bergmann <arnd@bergmann-dalldorf.de>
20 # objdump -d vmlinux | scripts/checkstack.pl [arch]
40 if ($arch eq "") {
41 $arch = `uname -m`;
45 $x = "[0-9a-f]"; # hex character
46 $xs = "[0-9a-f ]"; # hex character or space
48 if ($arch eq 'aarch64') {
49 #ffffffc0006325cc: a9bb7bfd stp x29, x30, [sp,#-80]!
50 $re = qr/^.*stp.*sp,\#-([0-9]{1,8})\]\!/o;
51 } elsif ($arch eq 'arm') {
[all …]
Dcheckpatch.pl2 # SPDX-License-Identifier: GPL-2.0
7 # (c) 2008-2010 Andy Whitcroft <apw@canonical.com>
8 # (c) 2010-2018 Joe Perches <joe@perches.com>
67 my $git_command ='export LANGUAGE=en_US.UTF-8; git';
78 -q, --quiet quiet
79 --no-tree run without a kernel tree
80 --no-signoff do not check for 'Signed-off-by' line
81 --patch treat FILE as patchfile (default)
82 --emacs emacs compile window format
83 --terse one line per report
[all …]
/Zephyr-latest/samples/net/gptp/
Ddocker-test.sh2 # SPDX-License-Identifier: Apache-2.0
4 if [ -z "$RUNNING_FROM_MAIN_SCRIPT" ]; then
6 echo "Run $ZEPHYR_BASE/scripts/net/run-sample-tests.sh instead."
14 "/usr/local/sbin/ptp4l -2 -f /etc/gptp.cfg -m -q -l 6 -S -i eth0" \
18 start_zephyr "$overlay" "-DCONFIG_NET_SAMPLE_RUN_DURATION=10" \
19 "-DCONFIG_NET_GPTP_NEIGHBOR_PROP_DELAY_THR=12000000"
24 if [ $gptp_result -eq 1 -o $gptp_result -eq 2 ]; then
/Zephyr-latest/samples/net/ptp/
Ddocker-test.sh2 # SPDX-License-Identifier: Apache-2.0
4 if [ -z "$RUNNING_FROM_MAIN_SCRIPT" ]; then
6 echo "Run $ZEPHYR_BASE/scripts/net/run-sample-tests.sh instead."
14 "/usr/local/sbin/ptp4l -4 -f /etc/gptp.cfg -m -q -l 6 -S -i eth0" \
18 start_zephyr "$overlay" "-DCONFIG_NET_SAMPLE_RUN_DURATION=15" \
23 if [ $ptp_result -eq 1 -o $ptp_result -eq 2 ]; then
/Zephyr-latest/samples/net/sockets/dumb_http_server_mt/
Ddocker-test.sh2 # SPDX-License-Identifier: Apache-2.0
4 if [ -z "$RUNNING_FROM_MAIN_SCRIPT" ]; then
6 echo "Run $ZEPHYR_BASE/scripts/net/run-sample-tests.sh instead."
10 # First the non-tls version
12 start_zephyr "$overlay" "-DCONFIG_NET_SAMPLE_SERVE_LARGE_FILE=y" || return $?
13 start_docker "/usr/local/bin/http-get-file-test.sh 5" || return $?
19 if [ $docker_result -eq 28 ]; then
31 if [ $result -ne 0 ] || [ $docker_result -ne 0 ]; then
36 if [ -n "$zephyr_overlay" ]; then
37 overlay="${zephyr_overlay};overlay-tls.conf"
[all …]
/Zephyr-latest/soc/ti/lm3s6965/
Dreboot.S2 * Copyright (c) 2013-2014 Wind River Systems, Inc.
4 * SPDX-License-Identifier: Apache-2.0
38 * If Z flag is set, we are nested, so un-nest one level and get
42 ittee eq
56 ite eq
/Zephyr-latest/scripts/net/
Drun-sample-tests.sh3 # SPDX-License-Identifier: Apache-2.0
5 image=net-tools
6 name=net-tools
7 network=net-tools0
14 docker_test_script_name=docker-test.sh
24 if [ -z "$ZEPHYR_BASE" ]; then
27 elif [ ! -d "$ZEPHYR_BASE" ]; then
32 if [ -z "$NET_TOOLS_BASE" ]; then
39 l="$d/tools/net-tools"
40 if [ -d "$l" ]; then
[all …]
/Zephyr-latest/samples/net/lwm2m_client/
Ddocker-test.sh2 # SPDX-License-Identifier: Apache-2.0
4 if [ -z "$RUNNING_FROM_MAIN_SCRIPT" ]; then
6 echo "Run $ZEPHYR_BASE/scripts/net/run-sample-tests.sh instead."
10 IP="--ip=192.0.2.2 --ip6=2001:db8::2"
11 FWD="-p 8080:8080 -p 8081:8081 -p 5683:5683/udp"
14 start_docker "/net-tools/start-leshan.sh" || return $?
19 curl -s -X GET 'http://localhost:8080/api/clients/native_posix/3/0/0' | grep Zephyr 2>&1 >/dev/null
25 if [ $result -eq 0 ]; then
/Zephyr-latest/drivers/ethernet/
Ddsa_ksz8xxx.c4 * SPDX-License-Identifier: Apache-2.0
48 #define PRV_DATA(ctx) ((struct ksz8xxx_data *const)(ctx)->prv_data)
75 spi_write_dt(&pdev->spi, &tx); in dsa_ksz8xxx_write_reg()
113 if (!spi_transceive_dt(&pdev->spi, &tx, &rx)) { in dsa_ksz8xxx_read_reg()
154 * Wait for SPI of KSZ8794 being fully operational - up to 10 ms
157 tmp != KSZ8XXX_CHIP_ID0_ID_DEFAULT && timeout > 0; timeout--) {
164 return -ENODEV;
183 return -ENODEV;
196 * According to KSZ8794 manual - write to static mac address table
254 * According to KSZ8794 manual - read from static mac address table
[all …]
/Zephyr-latest/tests/bluetooth/shell/
Drun-bsim.sh3 # SPDX-License-Identifier: Apache-2.0
5 set -e
6 set -u
8 if [ $# -eq 0 ]; then
13 if [ $# -gt 2 ]; then
18 echo "Starting simulation. Hit Ctrl-C to exit."
22 # west build -d build -b nrf52_bsim -S xterm-native-shell $ZEPHYR_BASE/tests/bluetooth/shell
26 image="${2:-"${default_image}"}"
31 # Force sim to real-time
33 ./bs_device_handbrake -s=shell-sim -r=10 -d=0 &
[all …]
/Zephyr-latest/scripts/west_commands/completion/
Dwest-completion.fish20 set -l tokens (commandline -opc)
41 set -l tokens (commandline -opc)
42 set -l argc (count $argv)
43 set -l max $argv[1]
44 set -l counter 0
46 if test $argc -eq 1
47 if test (math (count $tokens) - 2) -ge $max
60 if $counter -ge $max
77 set -l tokens (commandline -opc)
80 if string match -qr -- "$token*" "$tokens[-1]"
[all …]
Dwest-completion.bash1 # Bash auto-completion for west subcommands and flags. To initialize, run
3 # source west-completion.bash
7 __west_previous_extglob_setting=$(shopt -p extglob)
8 shopt -s extglob
12 # bash_completion - programmable completion functions for bash 3.2+
14 # Copyright © 2006-2008, Ian Macdonald <ian@caliban.org>
15 # © 2009-2010, Bash Completion Maintainers
16 # <bash-completion-devel@lists.alioth.debian.org>
33 # http://bash-completion.alioth.debian.org/
41 # if test "${words_[cword_-1]}" = -w
[all …]
Dwest-completion.zsh4 # SPDX-License-Identifier: Apache-2.0
6 # Ensure this works also when being source-ed
9 typeset -A -g _opt_args
12 local -a builtin_cmds=(
25 local -a zephyr_ext_cmds=(
29 'sign[sign a Zephyr binary for bootloader chain-loading]'
34 'zephyr-export[export Zephyr installation as a CMake config package]'
40 local -a all_cmds=(${builtin_cmds} ${zephyr_ext_cmds})
42 if [[ -v WEST_COMP_CHECK_WORKSPACE ]]; then
44 if [ $? -eq 0 ]; then
[all …]
/Zephyr-latest/tests/bsim/
Dsh_common.source2 # SPDX-License-Identifier: Apache-2.0
10 BOARD="${BOARD:-nrf52_bsim/native}"
24 [ $exit_code -eq 0 ] || exit $exit_code
30 echo "Aborted by CTRL-C"
33 kill -15 $process_id
38 if [ ! -f $1 ]; then
39 echo -e " \e[91m`pwd`/`basename $1` cannot be found (did you forget to\
46 EXECUTE_TIMEOUT="${EXECUTE_TIMEOUT:-30}"
49 run_in_background timeout --kill-after=5 -v ${EXECUTE_TIMEOUT} "$@"
53 local PA="$(cd -- "$(dirname "${BASH_SOURCE[2]}")" && pwd)"
[all …]
/Zephyr-latest/include/zephyr/arch/arc/asm-compat/
Dasm-macro-32-bit-gnu.h1 /* SPDX-License-Identifier: Apache-2.0 */
7 * ALU/Memory instructions pseudo-mnemonics for ARCv2 and ARC32 ISA
89 .irp cc,ne,eq
Dasm-macro-64-bit-gnu.h1 /* SPDX-License-Identifier: Apache-2.0 */
7 * pseudo-mnemonics for ALU/Memory instructions for ARC64 ISA
101 .irp cc,ne,eq
/Zephyr-latest/
Dzephyr-env.sh4 # SPDX-License-Identifier: Apache-2.0
15 if [ -n "${ZSH_VERSION:-}" ]; then
16 dir="${(%):-%N}"
19 name=$(basename -- "$0")
22 name=$(basename -- "$0")
26 name=$(basename -- "$0")
29 if [ "X$name" "==" "Xzephyr-env.sh" ]; then
38 if uname | grep -q "MINGW"; then
40 pwd_opt="-W"
51 if [ "$win_build" -eq 1 ]; then
[all …]
/Zephyr-latest/include/zephyr/sys/
Dtime_units.h4 * SPDX-License-Identifier: Apache-2.0
26 /** @brief System-wide macro to denote "forever" in milliseconds
33 #define SYS_FOREVER_MS (-1)
35 /** @brief System-wide macro to denote "forever" in microseconds
39 #define SYS_FOREVER_US (-1)
41 /** @brief System-wide macro to initialize #k_timeout_t with a number of ticks
48 /** @brief System-wide macro to convert milliseconds to kernel timeouts
109 * appropriately in a user-facing API. The boolean arguments are:
111 * const_hz - The hz arguments are known to be compile-time
114 * result32 - The result will be truncated to 32 bits on use
[all …]
/Zephyr-latest/arch/arc/include/
Dswap_macros.h1 /* swap_macros.h - helper macros for context switch */
6 * SPDX-License-Identifier: Apache-2.0
16 #include <zephyr/arch/arc/tool-compat.h>
17 #include <zephyr/arch/arc/asm-compat/assembler.h>
310 * the result will be EQ bit of status32
361 * in nest interrupt. The result will be EQ bit of status32
367 and MACRO_ARG(reg1), MACRO_ARG(reg1), ((1 << ARC_N_IRQ_START_LEVEL) - 1)
421 * TODO: we should add SMP write-after-write data memory barrier here, as we want all
548 #define __arc_u9_min (-256)
559 * as we use only positive offsets in hand-written assembly code we keep only
/Zephyr-latest/drivers/display/
Ddisplay_nt35510.c4 * SPDX-License-Identifier: Apache-2.0
7 * https://github.com/STMicroelectronics/stm32-nt35510/blob/main/nt35510.c
83 /* AVEE: -5.2V */
87 /* VCL: -2.5V */
97 /* VGL_REG: -10V */
103 /* VGMN/VGSN:-4.5V/0V */
105 /* VCOM: -1.325V */
116 /* Gate EQ control */
118 /* Src EQ control(Mode2) */
159 const struct nt35510_config *cfg = dev->config; in nt35510_write_reg()
[all …]
Ddisplay_hx8394.c4 * SPDX-License-Identifier: Apache-2.0
159 0x00, /* DX2 off, EQ off, EQ_MI off */
451 const struct hx8394_config *config = dev->config; in hx8394_blanking_off()
453 if (config->bl_gpio.port != NULL) { in hx8394_blanking_off()
454 return gpio_pin_set_dt(&config->bl_gpio, 1); in hx8394_blanking_off()
456 return -ENOTSUP; in hx8394_blanking_off()
462 const struct hx8394_config *config = dev->config; in hx8394_blanking_on()
464 if (config->bl_gpio.port != NULL) { in hx8394_blanking_on()
465 return gpio_pin_set_dt(&config->bl_gpio, 0); in hx8394_blanking_on()
467 return -ENOTSUP; in hx8394_blanking_on()
[all …]
/Zephyr-latest/arch/arm64/core/
Dvector_table.S4 * SPDX-License-Identifier: Apache-2.0
34 * - No context-switch: in this case x19-x28 are callee-saved register
36 * - Context-switch: the callee-saved registers are saved by
49 sub x0, sp, x0 // x0' = sp' - x0 = sp
51 stp x16, x17, [sp, -(___esf_t_SIZEOF - ___esf_t_x16_x17_OFFSET)]
52 stp x18, lr, [sp, -(___esf_t_SIZEOF - ___esf_t_x18_lr_OFFSET)]
110 * - synchronous: aborts from MMU, SP/CP alignment checking, unallocated
112 * - IRQ: group 1 (normal) interrupts
113 * - FIQ: group 0 or secure interrupts
114 * - SError: fatal system errors
[all …]
/Zephyr-latest/arch/arm/core/cortex_m/
Dswap_helper.S2 * Copyright (c) 2013-2014 Wind River Systems, Inc.
3 * Copyright (c) 2017-2019 Nordic Semiconductor ASA.
6 * SPDX-License-Identifier: Apache-2.0
11 * @brief Thread context switching for ARM Cortex-M
14 * on ARM Cortex-M CPUs.
52 * For Cortex-M, z_arm_pendsv() is invoked with no arguments.
78 /* addr of callee-saved regs in thread in r0 */
82 /* save callee-saved + psp in thread */
86 /* Store current r4-r7 */
87 stmea r0!, {r4-r7}
[all …]
/Zephyr-latest/doc/hardware/emulator/img/
Darch.svg1 <?xml version="1.0" encoding="UTF-8"?>
2 <!-- Do not edit this file with editors other than draw.io -->
3 <!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN" "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
4-0.5 -0.5 471 382" content="&lt;mxfile host=&quot;Electron&quot; modified=&quot;2023-12-23T14:50:3…